package lab10;

/**
 * Node used to wrap data and for Linked Set.
 * 
 * @author CPSC170 Spring 2009
 */
public class LinkedSetNode<T> {
	private T data; //data for node
	private LinkedSetNode<T> next; //pointer to next node
	
	/**
	 * Initialize node with data.
	 * 
	 * @param data data to store in node.
	 */
	public LinkedSetNode(T data) {
		this.data = data;
	}
	
	/**
	 * Get the node that is after the current node.
	 * 
	 * @return the next node
	 */
	public LinkedSetNode<T> getNext() {
		return next;
	}
	
	/**
	 * Set the node that is after the current node.
	 * 
	 * @param next the next node
	 */
	public void setNext(LinkedSetNode<T> next) {
		this.next = next;
	}
	
	/**
	 * Get the data in this node.
	 * 
	 * @return node data
	 */
	public T getData() {
		return data;
	}

}
