package lab10;

import java.util.Iterator;

/**
 * Defines the interface to a set data structure.
 * 
 * @author CPSC170 Spring 2009
 */
public interface Set<T extends Comparable<T>> extends Iterable<T> {
	/**
	 * Adds one element to this set
	 * 
	 * @param element element to be added
	 */
	public void add(T element);

	/**
	 * Removes and returns the specified element from this set
	 * 
	 * @param element element to be removed
	 * @return return the element that was removed
	 */
	public T remove(T target);

	/**
	 * Returns the element equivalent to target
	 * 
	 * @param target element to find in set
	 * @return element equivalent to target
	 */
	public T get(T element);

	/**
	 * Returns an iterator for the elements in this set
	 * 
	 * @return iterator for all of the elements in the set
	 */
	public Iterator<T> iterator();

}
